## libplayerone 2.0.5

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
project (libplayerone)

# Using PlayerOne Camera SDK Version 2.0.5 updated on 2021-12-07

set (POACAM_VERSION "2.0.5")
set (POACAM_SOVERSION "2")


list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include (GNUInstallDirs)
include (InstallImported)

add_library (PlayerOneCamera  SHARED IMPORTED)

set_target_properties (PlayerOneCamera  PROPERTIES VERSION ${POACAM_VERSION} SOVERSION ${POACAM_SOVERSION})

if (APPLE)

  set_property (TARGET PlayerOneCamera  PROPERTY IMPORTED_LOCATION "mac/libPlayerOneCamera.bin")

elseif (UNIX AND NOT WIN32)

  if (CMAKE_SYSTEM_PROCESSOR MATCHES "armv+")
    set_property (TARGET PlayerOneCamera  PROPERTY IMPORTED_LOCATION "armv6/libPlayerOneCamera.bin")
  elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "aarch64")
    set_property (TARGET PlayerOneCamera  PROPERTY IMPORTED_LOCATION "armv8/libPlayerOneCamera.bin")
  elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
    set_property (TARGET PlayerOneCamera  PROPERTY IMPORTED_LOCATION "x64/libPlayerOneCamera.bin")
  elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "i[3-6]86")
    #x86 library is not provided from manufacturer
    set_property (TARGET PlayerOneCamera  PROPERTY IMPORTED_LOCATION "")
  endif ()

  # Install udev rules
  set (UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/99-player_one_astronomy.rules DESTINATION ${UDEVRULES_INSTALL_DIR})

endif ()

# Install header files
install (
  FILES PlayerOneCamera.h
  DESTINATION include/libplayerone
)

# Install library
install_imported (
  TARGETS PlayerOneCamera
  DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

=== debian/changelog ===
libplayerone (2.0.5-2) unstable; urgency=medium

  * manual build on all architectures
  * debian/control: move to debian-astro
  * debian/control: update description

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Jan 2022 10:30:36 +0100

libplayerone (2.0.5-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Dec 2021 18:30:07 +0100

## libplayerone 2.0.6+20220608012829

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.0)
 project (libplayerone)
 
-# Using PlayerOne Camera SDK Version 2.0.5 updated on 2021-12-07
+# Using PlayerOne Camera SDK Version 2.0.6 updated on 2022-3-11
 
-set (POACAM_VERSION "2.0.5")
+set (POACAM_VERSION "2.0.6")
 set (POACAM_SOVERSION "2")

=== debian/changelog ===
libplayerone (2.0.6+20220608012829-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6
  * new upstream version 2.0.6

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 08 Jun 2022 01:28:43 +0000

## libplayerone 3.1.0+20221218103507

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required (VERSION 3.0)
 project (libplayerone)
 
-# Using PlayerOne Camera SDK Version 2.0.6 updated on 2022-3-11
+# Using PlayerOne Camera SDK Version 3.1.0 updated on 2022-12-15
 
-set (POACAM_VERSION "2.0.6")
-set (POACAM_SOVERSION "2")
+set (POACAM_VERSION "3.1.0")
+set (POACAM_SOVERSION "3")
 
 
 list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
@@ -19,6 +19,8 @@
 if (APPLE)
 
   set_property (TARGET PlayerOneCamera  PROPERTY IMPORTED_LOCATION "mac/libPlayerOneCamera.bin")
+
+  FIX_LIBRARY_ID("libPlayerOneCamera" "mac/libPlayerOneCamera.bin" "PLAYER ONE")
 
 elseif (UNIX AND NOT WIN32)

=== debian/changelog ===
libplayerone (3.1.0+20221218103507-3) unstable; urgency=medium

  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/control: add Conflicts: for older version (Closes: #1076375)
  * Add DEP17 P1 mitigations. (Closes: #1076374)
    (Thanks a lot to Chris Hofstaedtler for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 Sep 2024 08:20:28 +0200

libplayerone (3.1.0+20221218103507-2) unstable; urgency=medium

  * upload to unstable
  * Use udev.pc to place udev files. (Closes: #1058840)
    (Thanks to Chris Hofstaedtler for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 13 Jul 2024 12:36:28 +0200

libplayerone (3.1.0+20221218103507-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Thu, 01 Feb 2024 23:11:28 +0000

libplayerone (3.1.0+20221218103507-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 3.1.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Dec 2022 10:36:28 +0000

=== debian/control ===
Source: libplayerone
Section: non-free/libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, pkgconf
	, systemd-dev
Standards-Version: 4.7.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libplayerone
Vcs-Git: https://salsa.debian.org/debian-astro-team/libplayerone.git

Package: libplayeronecamera2t64
Provides: ${t64:Provides}
Replaces: libplayeronecamera2
Conflicts: libplayeronecamera2 (<< ${source:Version})
Architecture: amd64 armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for Player One Astronomy's Cameras
 This package contains software that is the secondary software
 development kit (SDK) for the astronomy cameras made by Player
 One Astronomy Co., Ltd.
